How in vba to assign the value of a global variable to a custom property of a room

It's okay, it came back to me!

FYI, here's my code, it's not academic but it works!

 

Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim retval As Boolean
Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc


Dim title As String
title = Part.GetTitle
Debug.Print title


Dim QuotQtéBelem As String
QuotQtéBelem = Chr(34) & "QtéBelem" & "@" & title & Chr(34)


retval = Part.DeleteCustomInfo2("", "QTEBELEM")
retval = Part.AddCustomInfo3("", "QTEBELEM", 30, QuotQtéBelem)

End Sub